function SBPCost_fileInit()
{
	%fp = "config/Server/BrickPlantCost/CustomPrices.txt";
	%file = new FileObject();
	
	//Create File (if it doesn't exist)
	if(!isFile(%fp))
	{
		%file.openForWrite(%fp);
		
		%file.writeLine("File Format: Brick UI name [TAB] Fixed cost for planting brick [TAB] Fixed rebate (points given back) upon destroying brick");
		%file.writeLine("Vehicle Spawn" TAB 1000 TAB 250);
		%file.writeLine("Spawn Point" TAB 400 TAB 200);
		%file.writeLine("Teledoor" TAB 300 TAB 200);
		%file.writeLine("Music Brick" TAB 500 TAB 400);
		
		%file.close();
	}
	
	//Read / Store Data From File
	%file.openForRead(%fp);
	
	while(!%file.isEOF() && %failSafe++ < 10000)
	{
		%brData = %file.readLine();
		%brName = getField(%brData,0);
		%brValue = getFields(%brData,1,2);
		
		$SBPCost_ValArr[%brName] = %brValue;
	}
	
	%file.close();
	%file.delete();
}