if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
	if(!$RTB::Hooks::ServerControl)
		Exec("Add-Ons/System_ReturnToBlockland/Hooks/serverControl.cs");
	
	%ntList = "list BottomPrint 0 CenterPrint 1 ChatMessage 2 NoMessage 3";
	
	RTB_registerPref("Enable Brick Plant Cost",		"Brick Plant Cost",	"$Pref::Server::BPCst::CostEnabled",		"bool",				"Script_BrickPlantCost",	false,	false,	false,	false);
	RTB_registerPref("Enable Brick Destroy Rebate",	"Brick Plant Cost",	"$Pref::Server::BPCst::RebateEnabled",		"bool",				"Script_BrickPlantCost",	false,	false,	false,	false);
	RTB_registerPref("Use Fixed Plant Cost",		"Brick Plant Cost",	"$Pref::Server::BPCst::FixedPlantPrice",	"bool",				"Script_BrickPlantCost",	false,	false,	false,	false);
	RTB_registerPref("Use Fixed Destroy Rebate",	"Brick Plant Cost",	"$Pref::Server::BPCst::FixedDstryPrice",	"bool",				"Script_BrickPlantCost",	false,	false,	false,	false);
	RTB_registerPref("Relative Plant Cost",			"Brick Plant Cost",	"$Pref::Server::BPCst::RelPlantCost",		"int -9999 9999",	"Script_BrickPlantCost",	2,		false,	false,	false);
	RTB_registerPref("Fixed Plant Cost",			"Brick Plant Cost",	"$Pref::Server::BPCst::FixPlantCost",		"int -99999 99999",	"Script_BrickPlantCost",	10,		false,	false,	false);
	RTB_registerPref("Relative Destroy Rebate",		"Brick Plant Cost",	"$Pref::Server::BPCst::RelDstryRebate",		"int -9999 9999",	"Script_BrickPlantCost",	1,		false,	false,	false);
	RTB_registerPref("Fixed Destroy Rebate",		"Brick Plant Cost",	"$Pref::Server::BPCst::FixDstryRebate",		"int -99999 99999",	"Script_BrickPlantCost",	5,		false,	false,	false);
	RTB_registerPref("Purchase / Rebate Message",	"Brick Plant Cost",	"$Pref::Server::BPCst::NotifyType",			%ntList,			"Script_BrickPlantCost",	0,		false,	false,	false);
	RTB_registerPref("Apply Cost To SuperAdmins",	"Brick Plant Cost",	"$Pref::Server::BPCst::EnabCostSA",			"bool",				"Script_BrickPlantCost",	true,	false,	false,	false);
	RTB_registerPref("Apply Rebate To SuperAdmins",	"Brick Plant Cost",	"$Pref::Server::BPCst::EnabRebateSA",		"bool",				"Script_BrickPlantCost",	true,	false,	false,	false);
	RTB_registerPref("Use Custom Values",			"Brick Plant Cost",	"$Pref::Server::BPCst::UseCustomValues",	"bool",				"Script_BrickPlantCost",	false,	false,	false,	false);
}
else
{
	if($Pref::Server::BPCst::CostEnabled $= "")		$Pref::Server::BPCst::CostEnabled = false;		//Toggle charging players points from their score when planting bricks
	if($Pref::Server::BPCst::RebateEnabled $= "")	$Pref::Server::BPCst::RebateEnabled = false;	//Toggle giving players points back when destroying / undoing bricks
	if($Pref::Server::BPCst::FixedPlantPrice $= "")	$Pref::Server::BPCst::FixedPlantPrice = false;	//Use a constant price per brick instead
	if($Pref::Server::BPCst::FixedDstryPrice $= "")	$Pref::Server::BPCst::FixedDstryPrice = false;	//Use a constant rebate value per brick instead
	if($Pref::Server::BPCst::RelPlantCost $= "")	$Pref::Server::BPCst::RelPlantCost = 2;			//Price in studs (relative to the brick size on X,Y and Z, according to 1x1f)
	if($Pref::Server::BPCst::FixPlantCost $= "")	$Pref::Server::BPCst::FixPlantCost = 10;		//Constant / flat price for all bricks (if used instead)
	if($Pref::Server::BPCst::RelDstryRebate $= "")	$Pref::Server::BPCst::RelDstryRebate = 1;		//Rebate value in studs (relative to the brick size on X,Y and Z, according to 1x1f)
	if($Pref::Server::BPCst::FixDstryRebate $= "")	$Pref::Server::BPCst::FixDstryRebate = 5;		//Constant / flat rebate value for all bricks (if used instead)
	if($Pref::Server::BPCst::NotifyType $= "")		$Pref::Server::BPCst::NotifyType = 0;			//Notify players by bottomPrint, centerPrint, chatMessage or don't message at all after purchase
	if($Pref::Server::BPCst::EnabCostSA $= "")		$Pref::Server::BPCst::EnabCostSA = true;		//Enable brick cost for Super Admins
	if($Pref::Server::BPCst::EnabRebateSA $= "")	$Pref::Server::BPCst::EnabRebateSA = true;		//Enable brick rebate for Super Admins
	if($Pref::Server::BPCst::UseCustomValues $= "")	$Pref::Server::BPCst::UseCustomValues = false;	//Give bricks a custom cost / rebate value, based on the CustomValues.txt file
}