exec("Add-Ons/Script_BrickPlantCost/Command.cs");
exec("Add-Ons/Script_BrickPlantCost/FileRef.cs");
exec("Add-Ons/Script_BrickPlantCost/Package.cs");
exec("Add-Ons/Script_BrickPlantCost/Prefs.cs");

SBPCost_fileInit();

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

function SBPCost_GetBrValue(%br,%type)
{
	%brDB = %br.getDataBlock();
	%brDBn = %brDB.uiName;
	
	switch$(%type)
	{
		case "Cost":
		
			if($Pref::Server::BPCst::UseCustomValues && $SBPCost_ValArr[%brDBn] !$= "")
			{
				//Grab Cost Value From Array
				%brVal = getField($SBPCost_ValArr[%brDBn],0);
			}
			else
			{
				//Calculate Plant Cost
				if(!$Pref::Server::BPCst::FixedPlantPrice)
				{
					%RelPrice = mClampF($Pref::Server::BPCst::RelPlantCost,-9999,9999); //mClampF just encase float values are used when vars are set up manually
					%brSize = %brDB.brickSizeX * %brDB.brickSizeY * %brDB.brickSizeZ;
					%brVal = mCeil(%brSize * %RelPrice);
				}
				else
					%brVal = mClampF($Pref::Server::BPCst::FixPlantCost,-99999,99999);
			}
		
		case "Rebate":
		
			if($Pref::Server::BPCst::UseCustomValues && $SBPCost_ValArr[%brDBn] !$= "")
			{
				//Grab Rebate Value From Array
				%brVal = getField($SBPCost_ValArr[%brDBn],1);
			}
			else
			{
				//Calculate Destroyed Rebate
				if(!$Pref::Server::BPCst::FixedDstryPrice)
				{
					%RelPrice = mClampF($Pref::Server::BPCst::RelDstryRebate,-9999,9999);
					%brSize = %brDB.brickSizeX * %brDB.brickSizeY * %brDB.brickSizeZ;
					%brVal = mCeil(%brSize * %RelPrice);
				}
				else
					%brVal = mClampF($Pref::Server::BPCst::FixDstryRebate,-99999,99999);
			}
	}
	
	return %brVal;
}